Subject: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Apr 2023 12:53:48 +0300

> From: João Távora <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Wed, 12 Apr 2023 10:18:08 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >>  Btw, why, when I do "M-x list-packages RET", I see Eglot in red with
> >>  Status "incompat"?  If I press RET on its name, I see
> >> 
> >>    Package eglot is incompatible.
> >> 
> >>         Status: Incompatible because it depends on uninstallable packages.
> >> 
> >>  Why is that?
> >> 
> >> No idea. Is this with our without my patch?
> >
> > Without.
> 
> I can't reproduce this in a recent emacs-29.  Here's what I start Emacs
> with
> 
> HOME=`mktemp -d` && src/emacs -Q -f list-packages
> 
> I get:
> 
>      Status: Available from gnu -- [Install]

I did just

  emacs -Q
  M-x list-packages RET

and I still see what I described.

I get the same if I point HOME to a scratch empty directory.

Maybe it's a Windows thing? why are some dependencies marked as "not
available"?

  Package eglot is incompatible.

       Status: Incompatible because it depends on uninstallable packages.
      Archive: gnu
      Version: 1.14
       Commit: 8125d4cfc5605ead9102b7d823c4241029eb76cc
      Summary: The Emacs Client for LSP servers
     Requires: emacs-26.3, jsonrpc-1.0.16, flymake-1.2.1,
		 project-0.9.8 (not available), xref-1.6.2 (not available),
		 eldoc-1.14.0, seq-2.23 (not available),
		 external-completion-0.1 (not available)